# ``twisted`.`internet`.`error`.`FileDescriptorOverrun``

class documentation

`class FileDescriptorOverrun(ConnectionLost): (source)`

View In Hierarchy

A mis-use of `IUNIXTransport.sendFileDescriptor` caused the connection to be closed.

Each file descriptor sent using `sendFileDescriptor` must be associated with at least one byte sent using `ITransport.write`. If at any point fewer bytes have been written than file descriptors have been sent, the connection is closed with this exception.

Constant | `MESSAGE` | Undocumented

Inherited from `ConnectionLost`:

Method | `__str__` | Undocumented
Class Variable | `__doc__` | Undocumented

MESSAGE: `str` = (source)
overrides `twisted.internet.error.ConnectionLost.MESSAGE`

Undocumented

Value

    'A mis-use of IUNIXTransport.sendFileDescriptor caused the connection to be clos↵
    ed.'